Skip to content

Create an organization

View as Markdown
post /api/organizations

Create a new organization.

Creates a new organization. The authenticated partner (from the bearer token) automatically becomes its first owner.

Request body

PropertyTypeRequiredDescription
namestringrequired

Response

201 - The created organization, with the authenticated partner as its sole owner

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring | null-
namestring-
created_atstring-
updated_atstring-
ownersMember[]-
Show owners fields
PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring-
emailstring-
namestring | null-
rolestring-
joined_atstring-
membersMember[]-
Show members fields
PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring-
emailstring-
namestring | null-
rolestring-
joined_atstring-

Errors

400 - Invalid input

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
titlestring | null-A short, human-readable summary of the problem.
detailstring | null-A human-readable explanation specific to this occurrence of the problem.
statusnumber | null-
instancestring | null-A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
typestring-A URI reference that identifies the problem type

403 - Forbidden

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
titlestring | null-A short, human-readable summary of the problem.
detailstring | null-A human-readable explanation specific to this occurrence of the problem.
statusnumber | null-
instancestring | null-A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
typestring-A URI reference that identifies the problem type

422 - An error occurred

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
statusinteger-
violationsobject[]-
Show violations fields
PropertyTypeRequiredDescription
propertyPathstringrequiredThe property path of the violation
messagestringrequiredThe message associated with the violation
codestring-The code of the violation
hintstring-An extra hint to understand the violation
payloadobject-The serialized payload of the violation
detailstring-
typestring-
titlestring | null-
instancestring | null-